package org.dromara.system.service;

import org.dromara.system.domain.CommunityRoom;
import org.dromara.system.domain.vo.CommunityRoomVo;
import org.dromara.system.domain.bo.CommunityRoomBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author Lion Li
 * @date 2025-03-24
 */
public interface ICommunityRoomService {

    /**
     * 查询【请填写功能名称】
     */
    CommunityRoomVo queryById(String communityId);

    /**
     * 查询【请填写功能名称】列表
     */
    TableDataInfo<CommunityRoomVo> queryPageList(CommunityRoomBo bo, PageQuery pageQuery);

    /**
     * 查询【请填写功能名称】列表
     */
    List<CommunityRoomVo> queryList(CommunityRoomBo bo);

    /**
     * 新增【请填写功能名称】
     */
    Boolean insertByBo(CommunityRoomBo bo);

    /**
     * 修改【请填写功能名称】
     */
    Boolean updateByBo(CommunityRoomBo bo);

    /**
     * 校验并批量删除【请填写功能名称】信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    boolean batchDelete(List<String> list);
}
